Skip to main content
GET
/
v1
/
meters
List all meters
curl --request GET \
  --url https://api.blink.store/v1/v1/meters \
  --header 'x-store-id: <api-key>'
import requests

url = "https://api.blink.store/v1/v1/meters"

headers = {"x-store-id": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-store-id': '<api-key>'}};

fetch('https://api.blink.store/v1/v1/meters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "meta": {
    "total": 123,
    "page": 123,
    "limit": 123,
    "has_more": true
  },
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "unit": "<string>",
      "store_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

x-store-id
string
header
required

Query Parameters

limit
integer

Number of meters per page.

page
integer

Page number to retrieve.

offset
integer

Offset to start paginating from.

Response

List of meters with pagination.

meta
object
data
object[]